curl --request PUT \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/billing' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"provider": "string",
"billing_org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_subscription_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_email": "string",
"pricing_model": "string",
"default_currency": "USD",
"meter_event_namespace": "string",
"meter_event_overrides": {},
"enabled": true,
"metadata": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"billing_org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_subscription_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_email": "string",
"pricing_model": "string",
"default_currency": "USD",
"meter_event_namespace": "string",
"meter_event_overrides": {},
"enabled": true,
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Upsert brand billing profile
Billing profile created or updated.
PUT
/
v1
/
brands
/
{brand_id}
/
billing
curl --request PUT \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/billing' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"provider": "string",
"billing_org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_subscription_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_email": "string",
"pricing_model": "string",
"default_currency": "USD",
"meter_event_namespace": "string",
"meter_event_overrides": {},
"enabled": true,
"metadata": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"billing_org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_subscription_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_email": "string",
"pricing_model": "string",
"default_currency": "USD",
"meter_event_namespace": "string",
"meter_event_overrides": {},
"enabled": true,
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Path parameters
string (uuid)
required
Request body
object
string
string
string
string
string
string
string
string
object
boolean
object
Response
object
string (uuid)
required
string (uuid)
required
string (uuid)
required
string
required
string
string
string
string
string
required
string
required
string
required
object
required
boolean
required
object
required
string (date-time)
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
200 | Billing profile created or updated. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request PUT \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/billing' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"provider": "string",
"billing_org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_subscription_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_email": "string",
"pricing_model": "string",
"default_currency": "USD",
"meter_event_namespace": "string",
"meter_event_overrides": {},
"enabled": true,
"metadata": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider": "string",
"billing_org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"stripe_subscription_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"billing_email": "string",
"pricing_model": "string",
"default_currency": "USD",
"meter_event_namespace": "string",
"meter_event_overrides": {},
"enabled": true,
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026